## org.jgroups
Class TimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jgroups.TimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class TimeoutException

extends java.lang.Exception

Thrown if members fail to respond in time.

See Also:
  Serialized Form

Constructor Summary
`TimeoutException()`
`TimeoutException(java.lang.String msg)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeoutException

    public TimeoutException()

### TimeoutException

    public TimeoutException(java.lang.String msg)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.